Bug 1807547 - swig requires Python 2 to build
Summary: swig requires Python 2 to build
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: swig
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BRPY27
TreeView+ depends on / blocked
 
Reported: 2020-02-26 15:30 UTC by Petr Viktorin
Modified: 2020-04-18 19:48 UTC (History)
4 users (show)

Fixed In Version: swig-4.0.1-9.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-18 19:48:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Viktorin 2020-02-26 15:30:13 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like swig, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.

It seems to me that swig could be an exception to this, as it can build code for Python 2 (which is then to be used on older systems). If that's the case, please request a FESCo exception. You can refer to the exception for mercurial as an example: https://pagure.io/fesco/issue/2243
It's good to mention:

- What is the reason for the Python 2 build dependency?

- What are the upstream/community plans/timelines regarding Python 2?

- What is the guidance for porting the build to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Jitka Plesnikova 2020-02-27 16:15:18 UTC
python27-devel package can be removed. swig uses it only for testing Python 2.7 code.

Comment 2 Miro Hrončok 2020-04-18 19:48:11 UTC
Thank You, Jitka.


Note You need to log in before you can comment on or make changes to this bug.